Subject: Re: bug#42947: Chez Scheme libraries are broken

From: Ludovic Courtès <[email-masked]>
Date: Mon, 31 Aug 2020 22:56:30 +0200

Hi,

Martin Becze <[email-masked]> skribis:

>> This is creating an empty directory, right?  Are you sure this helps?
>
> Yes, I think it solves the problem. On line 92 of the package
> definition we have
>
> ```
> (native-search-paths
>      (list (search-path-specification
>             (variable "CHEZSCHEMELIBDIRS")
>             (files (list (string-append "lib/csv" version "-site"))))))
> ```
> search-path-specification won't set the environmental variable unless
> the folder already exists. Note lib/csv<version> does exist at this
> point but most libraries seem to want to live lib/csv<version>-site.

I see, but now we’re creating a directory that remains empty, and as I
wrote, chez-fmt is actually installed in another directory anyway:

>> Isn’t the problem that packages like chez-fmt install libraries in
>> ‘csv-site’ instead of ‘csv1.2.3-site’?
>>
>> --8<---------------cut here---------------start------------->8---
>> $ find $(./pre-inst-env  guix build chez-fmt)
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/lib
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/lib/csv-site
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/lib/csv-site/fmt-js.so
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/lib/csv-site/fmt-c.so
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/lib/csv-site/fmt.so
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc/chez-fmt-0.8.11
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc/chez-fmt-0.8.11/fmt.css
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc/chez-fmt-0.8.11/README
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc/chez-fmt-0.8.11/fmt.html
>> /gnu/store/qr8mgphbivlqbdmn355kps2cxlmi679d-chez-fmt-0.8.11/share/doc/chez-fmt-0.8.11/VERSION
>> --8<---------------cut here---------------end--------------->8---

So perhaps the search path should be just lib/csv-site?  Is that
consistent across Chez packages?

Thanks,
Ludo’.